Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
ipe::IpeletHelper Class Reference
The Ipelet interface

`#include <ipelet.h>`

## Public Types

enum | { EOkButton, EOkCancelButtons, EYesNoCancelButtons, EDiscardCancelButtons, ESaveDiscardCancelButtons }

## Public Member Functions

virtual | ~IpeletHelper ()=0
virtual void | message (const char *msg)=0
virtual int | messageBox (const char *text, const char *details, int buttons)=0
virtual bool | getString (const char *prompt, String &str)=0

## Detailed Description

Service provider for Ipelets.

C++ Ipelets can ask Ipe to perform various services and request information using this class.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  EOkButton |
  EOkCancelButtons |
  EYesNoCancelButtons |
  EDiscardCancelButtons |
  ESaveDiscardCancelButtons |

## Constructor & Destructor Documentation

IpeletHelper::~IpeletHelper | ( |  | ) |

pure virtual

Pure virtual destructor.

## Member Function Documentation

virtual void ipe::IpeletHelper::message | ( | const char * | msg | ) |

pure virtual

Show a message in the status bar.

virtual int ipe::IpeletHelper::messageBox | ( | const char * | text,
|  | const char * | details,
|  | int | buttons
| ) |  |

pure virtual

Pop up a modal message box.

The details can be null.

     Choose one of EOkButton, EOkCancelButtons, EYesNoCancelButtons,
     EDiscardCancelButtons, ESaveDiscardCancelButtons
     for \a buttons.

     Returns 1 for Ok or Yes, 0 for No, -1 for Cancel.

virtual bool ipe::IpeletHelper::getString | ( | const char * | prompt,
|  | String & | str
| ) |  |

pure virtual

Pop up a modal dialog asking the user to enter a string. Returns true if the user didn't cancel the dialog.

The documentation for this class was generated from the following files:

- ipelet.h
- ipeutils.cpp